Subject: Re: [Bitcoin-development] Miners: You'll (very likely) need to upgrade your Bitcoin Core node soon to support BIP66

From: Tier Nolan <[email-masked]>
Date: Fri, 12 Jun 2015 09:37:17 +0100

Once the 75% threshold is reached, miners who haven't updated are at risk
of mining on invalid blocks.

If someone produces a version 3 block that violates the new rules, then
miners who haven't upgraded will end up wasting mining power building on
that block.

This could be used as an expensive way to attack miners who haven't
upgraded.  It is low risk of happening, since creating an invalid version 3
block costs 25BTC in hashing power and the miner who does it ends up
creating an invalid block.